
CREATE TABLE IF NOT EXISTS LC_DATA(
            LC_STATE_ID VARCHAR(36) NOT NULL ,
            LC_NAME VARCHAR(255),
            LC_STATUS VARCHAR(255),
            UNIQUE (LC_STATE_ID),
            PRIMARY KEY (LC_STATE_ID)
);

CREATE SEQUENCE LC_HISTORY_SEQUENCE START WITH 1 INCREMENT BY 1;
CREATE TABLE IF NOT EXISTS LC_HISTORY(
            LC_ID INTEGER DEFAULT nextval('lc_history_sequence'),
            LC_STATE_ID VARCHAR(36),
            PREVIOUS_STATE VARCHAR(255),
            POST_STATE VARCHAR(255),
            USERNAME VARCHAR(255),
            UPDATED_TIME TIMESTAMP,
            UNIQUE (LC_ID)
);

CREATE SEQUENCE LC_CHECKLIST_DATA_SEQUENCE START WITH 1 INCREMENT BY 1;
CREATE TABLE IF NOT EXISTS LC_CHECKLIST_DATA(
            LC_ID INTEGER DEFAULT nextval('lc_checklist_data_sequence'),
            LC_STATE_ID VARCHAR(36),
            LC_STATE VARCHAR(255),
            CHECKLIST_NAME VARCHAR(255),
            CHECKLIST_VALUE BOOLEAN DEFAULT FALSE,
            UNIQUE (LC_ID),
            FOREIGN KEY (LC_STATE_ID) REFERENCES LC_DATA(LC_STATE_ID)ON DELETE CASCADE
);
